Package ru.bitel.common.model

# Class Period

java.lang.Object
ru.bitel.common.model.Period

All Implemented Interfaces:
  `Comparable<Period>`

public class Period extends Object implements Comparable<Period>
Класс-модель "период".

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Period()`
  `Period(int year, int month, int dayFrom, int dayTo)`
  Создает период по году, месяцу, дню начала и окончания.
  `Period(long startEpoch, long stopEpoch)`
  `Period(LocalDate localDateFrom, LocalDate localDateTo)`
  `Period(Date fromDate, Date toDate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Period period)`
  `Period`
  `copy()`
  `Date`
  `getDateFrom()`
  Возвращает дату начала периода.
  `Calendar`
  `getDateFromCalendar()`
  Возвращает календарь, соответствующий началу периода.
  `Date`
  `getDateTo()`
  Возвращает дату конца периода.
  `Calendar`
  `getDateToCalendar()`
  Возвращает календарь, соответствующий концу периода.
  `LocalDate`
  `getLocalDateFrom()`
  `LocalDate`
  `getLocalDateTo()`
  `int`
  `getMonthFrom()`
  Возращает порядковый номер месяца, начала периода ()
  `int`
  `getYearFrom()`
  `void`
  `setDateFrom(Date date)`
  Устанавливает дату начала периода.
  `void`
  `setDateTo(Date date)`
  Устанавливает дату конца периода.
  `void`
  `setLocalDateFrom(LocalDate localDate)`
  `void`
  `setLocalDateTo(LocalDate localDate)`
  `static Period`
  `toMonthPeriod(LocalDate localDate)`
  `String`
  `toString()`
  `static Period`
  `valueOf(String txt)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Period

    public Period()

  - ### Period

    public Period(Date fromDate, Date toDate)

  - ### Period

    public Period(LocalDate localDateFrom, LocalDate localDateTo)

  - ### Period

    public Period(long startEpoch, long stopEpoch)
    Parameters:
      `startEpoch` - - количество секунд от 01-01-1970
      `stopEpoch` - - количество секунд от 01-01-1970

  - ### Period

    public Period(int year, int month, int dayFrom, int dayTo)
    Создает период по году, месяцу, дню начала и окончания.
    Parameters:
      `year` - - год
      `month` - - 0-based месяц (то есть январю соответствует 0)
      `day_from` - - день начала
      `day_to` - - день окончания (если взять заведомо большое, то обрежется до актуального максимума этого месяца)

- ## Method Details

  - ### getDateFrom

    public Date getDateFrom()
    Возвращает дату начала периода.
    Returns:
      дата начала периода.

  - ### setDateFrom

    public void setDateFrom(Date date)
    Устанавливает дату начала периода.
    Parameters:
      `date` -

  - ### getLocalDateFrom

    public LocalDate getLocalDateFrom()

  - ### setLocalDateFrom

    public void setLocalDateFrom(LocalDate localDate)

  - ### getMonthFrom

    public int getMonthFrom()
    Возращает порядковый номер месяца, начала периода ()
    Returns:

  - ### getYearFrom

    public int getYearFrom()

  - ### getDateTo

    public Date getDateTo()
    Возвращает дату конца периода.
    Returns:
      дата конца периода.

  - ### setDateTo

    public void setDateTo(Date date)
    Устанавливает дату конца периода.
    Parameters:
      `date` -

  - ### getLocalDateTo

    public LocalDate getLocalDateTo()

  - ### setLocalDateTo

    public void setLocalDateTo(LocalDate localDate)

  - ### getDateFromCalendar

    public Calendar getDateFromCalendar()
    Возвращает календарь, соответствующий началу периода.
    Returns:
      календарь, соответствующий началу периода.

  - ### getDateToCalendar

    public Calendar getDateToCalendar()
    Возвращает календарь, соответствующий концу периода.
    Returns:
      календарь, соответствующий концу периода.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### compareTo

    public int compareTo(Period period)
    Specified by:
      `compareTo` in interface `Comparable<Period>`

  - ### copy

    public Period copy()

  - ### valueOf

    public static Period valueOf(String txt)

  - ### toMonthPeriod

    public static Period toMonthPeriod(LocalDate localDate)